> For the complete documentation index, see [llms.txt](https://developers.alephee.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.alephee.com/v2/orders/post-methods/send-a-message-to-a-buyer/business-rules.md).

# Business rules

Please check the following necessary preconditions to send a message to a buyer:\
\=> This endpoint works only on the Mercado Libre marketplace.\
\=> The only messaging reasons that allow sending a custom text message are:\
·       SEND\_INVOICE\_LINK. Because it is necessary to send the link of the invoice.\
·       OTHER. Free text.\
The other available messaging options create and send an automatic text message template.\
\=> You cannot change automatic text messages templates contents. No, you cannot.\
\=> The custom text message parameter is IGNORED when the messaging reason do not allow custom messages.\
\=> When you send a message to a buyer, you cannot send another message until the receiver acknowledge and reply to the previous message.\
\=> You can attach a document to a message AFTER a you send a first message with no document attached.\
\=> You need to send to the buyer a first message with no attachment and wait for the buyer to acknowledge and reply to this message. Then, later, you can send a new message with a document attached.\
\=> After sending a message with an attachment, subsequent messages to the same buyer must respect the same message reason.\
\=> Maximum size of free text message is 350 characters.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.alephee.com/v2/orders/post-methods/send-a-message-to-a-buyer/business-rules.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
